Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337899 - app-mobilephone/yaps does not respect LDFLAGS
Summary: app-mobilephone/yaps does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-18 12:00 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2014-09-15 09:00 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (yaps-0.96-r4:20100917-172946.log,3.26 KB, text/plain)
2010-09-18 12:00 UTC, Diego Elio Pettenò (RETIRED)
Details
patch against latest ebuild (ebuild.patch,475 bytes, patch)
2013-03-19 16:53 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff
ebuild which move directory after unpack (yaps-0.96-r6.ebuild,2.36 KB, patch)
2014-09-14 20:18 UTC, Markus Lidel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-18 12:00:04 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-18 12:00:23 UTC
Created attachment 247807 [details]
Build log
Comment 2 Stefan Briesenick (RETIRED) gentoo-dev 2010-09-18 19:03:27 UTC
will fix it asap.
Comment 3 Michael Mair-Keimberger (iamnr3) 2013-03-19 16:53:10 UTC
Created attachment 342654 [details, diff]
patch against latest ebuild

I've fixed it with just adding LDFLAGS="${LDFLAGS}" to the emake statement. I've added an patch which can be applied against the latest ebuild in tree.
Comment 4 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-04-09 07:28:04 UTC
[QA]

The mobile-phone herd has been dissolved to maintainer-needed due to absence.

This package has no maintainer so this bug may go unnoticed for a long time.
Gentoo has a dedicated team[1] for assisting users in maintaining orphaned
packages. If you are interested in maintaining this package, please contact
proxy-maint@gentoo.org. 

[1]: https://wiki.gentoo.org/index.php?title=Project:Proxy_Maintainers
Comment 5 Markus Lidel 2014-09-14 20:18:08 UTC
Created attachment 384738 [details, diff]
ebuild which move directory after unpack
Comment 6 Jeroen Roovers gentoo-dev 2014-09-15 09:00:07 UTC
Fixed in -r5.